> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of Picker preset

> Returns list of picker preset



## OpenAPI

````yaml /api-reference/services_docs_mintlify/dns_api.yaml get /dns/v2/pickers/presets
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 1282e760bff2
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
  - name: Clients
  - name: DNSSEC
  - name: Locations
  - name: Lookup
  - name: Metrics
  - name: NetworkMappings
  - name: Pickers
  - name: RRsets
  - name: Zones
paths:
  /dns/v2/pickers/presets:
    get:
      tags:
        - Pickers
      summary: List of Picker preset
      description: Returns list of picker preset
      operationId: PickerPresetList
      responses:
        '200':
          description: PickerPresetListResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PickerPresetListResponse'
components:
  schemas:
    PickerPresetListResponse:
      type: object
      additionalProperties:
        type: array
        items:
          $ref: '#/components/schemas/LabelName'
    LabelName:
      type: object
      properties:
        label:
          type: string
        name:
          type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````